## GogText

GogText

## Functions

PangoAttrList * | gog_text_get_markup ()
char * | gog_text_get_str ()

## Properties

gboolean | allow-markup | Read / Write
gboolean | allow-wrap | Read / Write
gboolean | rotate-bg | Read / Write
gboolean | rotate-frame | Read / Write

## Types and Values

| GogText
| GogTextClass

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ╰── GogOutlinedObject
                    ╰── GogText
                        ├── GogLabel
                        ╰── GogRegEqn

## Implemented Interfaces

GogText implements GOStyledObject.

## Description

## Functions

### gog_text_get_markup ()

    PangoAttrList *
    gog_text_get_markup (GogText *text);

### gog_text_get_str ()

    char *
    gog_text_get_str (GogText *text);

## Types and Values

### GogText

    typedef struct _GogText GogText;

### GogTextClass

    typedef struct {
    	GogOutlinedObjectClass base;

    	char *(*get_str)    (GogText *text);
    	PangoAttrList *(*get_markup)    (GogText *text);
    } GogTextClass;

#### Members

GogOutlinedObjectClass `base`; | base class |
`get_str` () | returns the text associated with the object. |
`get_markup` () | returns the pango attributes. |

## Property Details

### The `“allow-markup”` property

      “allow-markup”             gboolean

Support basic HTML-ish markup.

Owner: GogText

Flags: Read / Write

Default value: FALSE

### The `“allow-wrap”` property

      “allow-wrap”               gboolean

Whether the text might be displayed using several lines.

Owner: GogText

Flags: Read / Write

Default value: FALSE

### The `“rotate-bg”` property

      “rotate-bg”                gboolean

Whether the background should be rotated with the text.

Owner: GogText

Flags: Read / Write

Default value: FALSE

### The `“rotate-frame”` property

      “rotate-frame”             gboolean

Whether the frame should be rotated with the text.

Owner: GogText

Flags: Read / Write

Default value: FALSE